Subject: RE: Alternatives for Long Term Archiving

From: Tobias Gondrom <[email-masked]>
Date: Thu, 1 Apr 2004 20:05:20 +0200

Dear Jerman, dear Antje,

> I've been silently waiting for an answer like yours. I must 
> admit, that I unfortunately do not find the discussion going 
> in direction of solving actual problems. 

I have to agree with you both. 

> From the position of 
> developer, implementation and technical advisor it is hard to 
> cope with current standards and proposes when facing the 
> problem of conserving electronic records. Document bases are 
> already full and usually in hands of single entity, which 
> sees appropriate solution as a technology add-on for 
> preservation of existing and future records. 

Here you are fully right. And btw. I know no company which would be willing
to share it's documents with others or to rely on others to provide the with
mission critical data - and most of the documents, that are signed, are
important for some reason. 

> Re-distribution 
> doesn't make much sense, rather single point of trust is what 
> will IMHO evolve in the next years, the same scenario as 
> deployed for digital signatures currently. End users are 
> pressing really hard on us (technology providers) to come up 
> with solution right this moment. And what is needed is to 
> steer the initial LTANS course in the right direction and 
> deliver critical missing pieces in the infrastructure as soon 
> as possible. 

You are right. What I take from the request from the market at the moment
are questions about an available standardized solution for mid of this year
- that's in 3 months !
And with all these regulatory compliance stuff and the e-signature and so on
this gets a lot of momentum at the moment! So if possible I would also like
to speed-up our progress so far that we can deliver a good solution in time
- and if necessary would like to add further improving ideas later in a
second version - if they really fulfill requirements from the market.

Regards

	Tobias

> You may take some of your time and investigate 
> what solutions do exist already on the market in the line 
> with technical requirements, legislation and regulation and 
> how they would solve your problems. The situation is not that bad...
> 
> Regards
> 
> A.  
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of 
> Hollerbach, Antje
> > Sent: Thursday, April 01, 2004 10:05 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: RE: Alternatives for Long Term Archiving
> > 
> > 
> > 
> > 
> > I think that the use of different archive facilities is
> > unrealistic for organisations like e.g. hospitals, because 
> > the costs are unreasonable, it is very complex and not 
> > practicable. Real users, such as our university hospital, 
> > which source out their archival system, want to keep their 
> > costs as low as possible. Furthermore, redistribution makes 
> > little sense for organisations that don't outsource. We need 
> > as soon as possible solutions, which can be used for the 
> > renewal of signatures and for the proof of the archiving 
> > time. Furthermore simple protocols for archiving services 
> > would be expedient. The previous documents of LTANS  suit 
> > this purpose but not the thoughts in your mail below!
> > 
> > A. Hollerbach
> > Center for Information Management (ZIM), University Hospital
> > of Heidelberg
> > 
> > 
> > 
> > -----Original Message-----
> > From: Santosh Chokhani [mailto:[email-masked]]
> > Sent: Wednesday, March 24, 2004 7:37 PM
> > To: [email-masked]
> > Subject: Alternatives for Long Term Archiving
> > 
> > 
> > One of the ideas that came out of Seoul meeting (thanks to Larry
> > Masinter) is to use a key-less approach to trusted archive.
> > The client who has vested interest in the secure storage of 
> > archived data, can use Shamir's n of m scheme to submit the 
> > archived data to m archive facilities.  m must be greater 
> > than 1 and should be selected based on availability needs. n 
> > must be greater than 1, less than or equal to m, and should 
> > be selected based on the desired degree of protection against 
> > collusion.
> > 
> > If this scheme is used, we may not need any cryptographic
> > operations at the TAA.
> > 
> > Under this scheme, the LTANS WG would need to still define
> > various protocol for submission, deletion, and retrieval.  if 
> > the idea is acceptable to the group, it could be the 
> > preferred or one of the approaches to perform archiving.
> > 
> > As the current LTANS documents in the various stages state or
> > imply, the trusted archive can continue to be used to submit 
> > any class of data.
> > 
> > One advantage of the approach is that any document split is
> > not sensitive even if the original document is sensitive.  
> > However, if the document requires confidentiality, assuming 
> > an adversary could be monitoring the channels to collect all 
> > the splits, the submission and retrieval of the split should 
> > be provided transmission security using techniques such as 
> > SSL or session encryption.  This still is lot easier than 
> > needing to provide long-term encryption for stored data.
> > 
> > To further illustrate one usage of the approach, a client
> > with the need to provide long-term, non-repudiation of a 
> > transaction, could obtain current time stamp, all the trust 
> > anchor, certificates, revocation information relevant to 
> > signatures and time stamp, and package them using TBD record 
> > format and create m splits.  These m split could be sent to m 
> > TAAs using TLS.  Each TLS could provide a pointer to its split.
> > 
> > When there is a need to retrieve the evidence, n splits could
> > be retrieved from n TAAs that are available and can be 
> > combined to validate the signatures on the transaction as 
> > well as the time stamp.
> > 
> > The approach also offers some redundancy in case some TAAs
> > are not available, data is corrupted, or the challenger does 
> > not trust some of the TAAs.
> > 
> > Santosh Chokhani
> > Orion Security Solutions, Inc. 
> > 1489 Chain Bridge Road, Suite 300 
> > McLean, Virginia 22101 
> > (703) 917-0060  Ext. 35 (voice) 
> > (703) 917-0260 (Fax) 
> > [email-masked] 
> > Visit our Web site 
> > http://www.orionsec.com 
> > 
>